﻿using CustomListBoxDragDropBehavior_WPF;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;

namespace CustomListBoxDragDropBehavior_WPF
{
    public class StripViewModel : ViewModelBase
    {

        private ObservableCollection<IStrip> _strip1;
        private ObservableCollection<IStrip> _strip2;


        public StripViewModel()
		{
            this._strip1 = new ObservableCollection<IStrip>()
			{
				new strip { Text = "1",PanelAlignment = System.Windows.HorizontalAlignment.Center },
				new strip_red {  Text = "2" ,PanelAlignment = System.Windows.HorizontalAlignment.Left},
				new strip {  Text = "3" , PanelAlignment = System.Windows.HorizontalAlignment.Right },
				new strip_red {  Text = "4" ,PanelAlignment = System.Windows.HorizontalAlignment.Center },
				new strip {  Text = "5" ,PanelAlignment = System.Windows.HorizontalAlignment.Left } 
			};
            
            this._strip2 = new ObservableCollection<IStrip>();
		}

		/// <Summary>Gets or sets Customers2 and notifies for changes</Summary>
        public ObservableCollection<IStrip> Strip2
		{
            get { return this._strip2; }
			set
			{
                if (this._strip2 != value)
				{
                    this._strip2 = value;
                    this._strip2.CollectionChanged += _strip2_CollectionChanged;
                    this.OnPropertyChanged(() => this.Strip2);
				}
			}
		}

        private void _strip2_CollectionChanged(object sender, System.Collections.Specialized.NotifyCollectionChangedEventArgs e)
        {
        
        }

        /// <Summary>Gets or sets Customers1 and notifies for changes</Summary>
        public ObservableCollection<IStrip> Strip1
		{
            get { return this._strip1; }
            set
            {
                if (this._strip1 != value)
                {
                    this._strip1 = value;
                    this._strip1.CollectionChanged += _strip2_CollectionChanged;
                    this.OnPropertyChanged(() => this.Strip1);
                }
            }
		}
    }
}
